WordPress 5.1 waarschuwt sites met oude PHP-versies

oude PHP-versies

WordPress zal vanaf volgende maand waarschuwingen weergeven aan website beheerders wiens websites nog op oude PHP-versies draaien. Dat heeft WordPress ontwikkelaar Felix Arntz bekend gemaakt in een blogpost.

Waarschuwing

Vanaf april zal WordPress alleen nog PHP versie 5.6 of nieuwer ondersteunen. Maar gebruikers moeten natuurlijk wel de gelegenheid krijgen om zich hierop voor te bereiden. Daarom zal WordPress 5.1, dat gepland staat voor 21 februari, website beheerders een waarschuwing geven en hen indien nodig helpen bij het upgraden van hun oude PHP-versie. De waarschuwing maakt deel uit van het Site Health Check project, dat als doel heeft de stabiliteit en performance van het volledige WordPress ecosysteem te optimaliseren.

Hosting en Webhosting bij Combell

Oude PHP-versies

Volgens Gutenberg en WordPress core contributor Gary Pendergast draait momenteel 85 procent van de websites met WordPress 5.0 op een PHP 5.6 of nieuwer. De waarschuwing zal alleen zichtbaar zijn bij websites die op een PHP versie draaien die lager is dan 5.6.

Minimaal vereiste MySQL-versie

Pendergast heeft ook voorgesteld om de minimaal vereiste MySQL-versie te veranderen naar versie 5.5. Van alle WordPress 5.0 websites maakt 98,5 procent al gebruik van MySQL 5.5 of nieuwer. Hoe het zit met de websites die nog niet op WordPress 5.0 draaien, is niet bekend.

WordPress 5.1 wordt een belangrijke update

Behalve de wijziging in ondersteunde PHP-versies, zal WordPress 5.1 nog een aantal belangrijke veranderingen bevatten. Zo werd eerder al bekend dat “Happy blogging” in wp-config-sample.php vervangen zal door “Happy publishing.” Ook zal WordPress 5.1 een nieuwe WSOD protection feature introduceren.

Ben jij al up-to-date met PHP?

Misschien ben je (nog) niet zo technisch, en heb je geen flauw idee waarom die oude PHP-versies straks niet goed genoeg meer zijn. In dat geval raden we je aan om je even te verdiepen in wat PHP in WordPress nu eigenlijk is. Lees ook ons artikel Hoe kun je controleren op welke PHP versie je WordPress site draait?

 

Korting op WordPress handleiding

Geef een reactie